class employee:
    def __init__(self, fio, otdel, dolzhnost, oklad):
        self.fio = fio
        self.otdel = otdel
        self.dolzhnost = dolzhnost
        self.oklad = oklad
        self._pooshrenia = []

    def salary_raise(self, summa):
        if summa > 0:
            self.oklad += summa
            print(f"Оклад сотрудника {self.fio} увеличен на {summa}. Новый оклад: {self.oklad}")
        else:
            print("Сумма для повышения оклада должна быть больше нуля.")

    def change_department(self, new_department):
        print(f"Сотрудник {self.fio} переведен из отдела {self.otdel} в отдел {new_department}.")
        self.otdel = new_department

    def change_position(self, new_position):
        print(f"Должность сотрудника {self.fio} изменена с {self.dolzhnost} на {new_position}.")
        self.dolzhnost = new_position

    def pooshrenia(self):
        return self._pooshrenia

    def add_encouragement(self, tekst):
        self._pooshrenia.append(tekst)
        print(f"Сотрудник {self.fio} теперь имеет поощрение: {tekst}")


emp1 = employee("Бобряков А.В.", "Кафедра Управления и интеллекуальных технологий", "Заведующий кафедрой", 130000)
emp2 = employee("Пинаев В.В.", "ВМСС", "Доцент", 100000)

print(f"{emp1.fio}, {emp1.otdel}, {emp1.dolzhnost}, оклад: {emp1.oklad}")
print(f"{emp2.fio}, {emp2.otdel}, {emp2.dolzhnost}, оклад: {emp2.oklad}")

emp1.salary_raise(10000)
emp2.change_department("УИТ")
emp1.change_position("Заместитель заведующего кафедрой")
emp2.add_encouragement("За вклад в науку")
emp1.add_encouragement("За любовь к ученикам")

print(f"Поощрения {emp1.fio}: {emp1.pooshrenia()}")
print(f"Поощрения {emp2.fio}: {emp2.pooshrenia()}")


